{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  <section class="block-datatable{{ if $title }} block-with-title{{ end }}" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{- with $title }}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
        {{ end -}}
        <div class="table-responsive">
          <table class="table">
            {{- with .caption }}
            <caption>{{ partial "osuny/PrepareHTML" . }}</caption>
            {{ end -}}
            <thead>
              <tr>
              {{ range .columns }}
                {{- if . -}}
                <th scope="col">{{ . }}</th>
                {{- else -}}
                <td></td>
                {{ end }}
              {{ end }}
              </tr>
            </thead>
            <tbody>
              {{ range .rows }}
              <tr>
                {{ range . }}
                <td>{{ . }}</td>
                {{ end }}
              </tr>
              {{ end }}
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </section>
{{- end -}}
